Page MenuHomePhabricator

Hacking Session: Learn to make new notification types
Closed, ResolvedPublic

Description

Hacking Session: Learn to make new notification types


==Type of activity==
Unconference

==Main topic==
none

==Description==

The problem

Significant improvements over the past year have made the Notifications system more useful than ever. As people inside and outside of the WMF see new potential for notifications to aid their work, they are suggesting new types of notifications. Collaboration team has an oversight responsibility in this area but can’t take on the job of directly creating all the new notifications people want. We’ve therefore published documentation to explain the technical aspects of notification creation along with elements of proper notification style. This session will combine an introduction to that documentation with a chance to work hands on to create some of the new notifications that have been proposed.

Expected outcome

Participants will learn how notifications work and the elements that go into properly written and presented notifications. With facilitation from members of the Collaboration Team, the group will select one or more new notification types and program them. With luck, some participants will continue in this line of work, whittling down the backlog of requests and spreading knowledge of this domain.

Current status of the discussion

Many new notification types have been proposed. Few if any are currently slated for creation by the Collaboration team.

Links

Proposed by

Moriel Schottlender

Preferred group size

12-24

Supplies we'll need to run the sesssion

  • Projector with cable for PC
  • Means to video session

Interested attendees (sign up below)

  • put your name here

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 9:30 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Oct 27 2016, 8:30 AM
Qgil added a subscriber: Qgil.

@jmatazzoni the Wikimedia Developer Summit focuses on discussions and clearly de-prioritizes training sessions. The logical alternatives to a pre-scheduled session would be

  • an Unconference session -- but I still wonder whether your target audience will be at the Summit and interested in attending this training session at the expense of missing potential ongoing sessions / discussions
  • a Tech Talk / Screencast that could be uploaded to Commons and be published in MediaWiki.org.

Even if the latter option might sound like less exciting in Summit terms, it is probably the best way to satisfy the needs of developers willing to create their own notifications.

What do you think?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 31 2016, 1:20 PM
Qgil added a comment.Nov 10 2016, 11:17 AM

@jmatazzoni please comment whenever you have time.

Qgil updated the task description. (Show Details)Nov 15 2016, 7:34 AM

I have edited the description suggesting this proposal to be evolved into an Unconference session. If you have other plans (i.e. turning this proposal into a Tech Talk), please edit accordingly.

Qgil added a comment.Nov 22 2016, 12:17 PM

This session needs a facilitator assigned to this task. Who would that be?

This session needs a facilitator assigned to this task. Who would that be?

Moriel Schottlender. I'll note in the task.

@Mooeypoo @jmatazzoni Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

@srishakatux, formatting complete.

Qgil added a comment.Dec 21 2016, 9:46 AM

This session is a tutorial, and therefore it will benefit from a video camera. Should that be specified in the Supplies section?

To the facilitator of this session: We have updated the unconference page with more instructions and faqs. Please review it in detail before the summit: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Unconference. If there are any questions or confusions, please ask! If your session gets a spot on the schedule, we would like you to read the session guidelines in detail: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We would also then expect you to recruit Note-taker(s) 2(min) and 3 (max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be available in all the session rooms! See you at the summit! :)

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Qgil triaged this task as Normal priority.Jan 24 2017, 10:57 AM

Is there any additional outcome expected from, this task? Was there video recording and, if so, will this video be posted in a place where the interested developers can find it?

https://etherpad.wikimedia.org/p/devsummit17-new-notification-types appears empty, so I'm going to assume no notes were taken?

Is there any additional outcome expected from, this task? Was there video recording and, if so, will this video be posted in a place where the interested developers can find it?

I uploaded the video recording to Commons and added it to https://www.mediawiki.org/wiki/Extension:Echo/Creating_a_new_notification_type

Qgil closed this task as Resolved.Jan 27 2017, 10:41 AM

Thank you very much, @Legoktm. I think this is all? I am taking the liberty to resolve this task. If there is anything missing, please reopen it. @Mooeypoo, thank you for proposing and running this session.